<!DOCTYPE html>

<?php
    

   $title = $author = $message ="";
   $titleErr = $authorErr = $messageErr = "";

  if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $valid = true;
  
    if (empty($_POST["author"])) {
      $authorErr = "Author je povinný";
      $valid = false;
    }else {
      $author = clean_input($_POST["author"]);
    }
    
    if (empty($_POST["title"])) {
      $titleErr = "Nadpis je povinný";
      $valid = false;
    }else {
      $title = clean_input($_POST["title"]);
    }
    
    if (empty($_POST["msg"])) {
      $messageErr = "Zpráva je povinná";
      $valid = false;
    }else {
      $message = clean_input($_POST["msg"]);
    }
    
    if($valid){
      
    }
  }
  
  function clean_input($data) {
    $data = trim($data);
    $data = stripslashes($data);
    $data = htmlspecialchars($data,ENT_QUOTES);
    return $data;
  }
?>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <link rel="stylesheet" href="styl.css" type="text/css" charset="utf-8" />
	<title>Nastenka</title>
</head>

<body>

        <table>
          <thead>
            <tr><th>ID</th><th>Nadpis</th><th>Datum</th><th>Message</th></tr>
          </thead>
          <tbody>
          </tbody>
        
        </table>

        <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post">
		      <fieldset id="info">
			     <legend>Základní údaje</legend>
			     <label for="title">Nadpis:<input type="text" id="title" name="title"/></label>
           <?php echo "<div> ".$titleErr."</div>"; ?>
		       <label for="author">Autor:<input type="text" id="author" name="author"/></label>
           <?php echo "<div> ".$authorErr."</div>"; ?>
          </fieldset>
               
          <fieldset id="message">
			      <legend>Zde napište Váš vzkaz:</legend>
			      <textarea id="msg" cols="60" rows="8" name="msg"></textarea>
            <?php echo "<div> ".$messageErr."</div>"; ?>
		      </fieldset>
		      <fieldset id="confirm">
			       <input type="submit" value="Odeslat" />
			       <input id="del" type="reset" value="Vymazat" />
		      </fieldset> 
    </form>

</body>